package cn.citycraft.AuthMe.converter;

import org.bukkit.command.CommandSender;

import cn.citycraft.AuthMe.AuthMe;
import cn.citycraft.AuthMe.ConsoleLogger;
import cn.citycraft.AuthMe.datasource.DataSource;

public class vAuthConverter implements Converter {

	public DataSource database;
	public AuthMe plugin;
	public CommandSender sender;

	public vAuthConverter(AuthMe plugin, CommandSender sender) {
		this.plugin = plugin;
		this.database = plugin.database;
		this.sender = sender;
	}

	@Override
	public void run() {
		try {
			new vAuthFileReader(plugin, sender).convert();
		} catch (Exception e) {
			sender.sendMessage(e.getMessage());
			ConsoleLogger.showError(e.getMessage());
		}
	}

}
